Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Update Problem
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German)
View previous topic :: View next topic  
Author Message
Tinitus
Veteran
Veteran


Joined: 20 Sep 2004
Posts: 1754

PostPosted: Sun Jul 06, 2014 6:54 pm    Post subject: Update Problem Reply with quote

Hallo,

habe folgendes Problem...

ein:
emerge --update --deep --newuse world -pvt
bringt....

Code:

These are the packages that would be merged, in reverse order:

Calculating dependencies... done!

emerge: there are no ebuilds to satisfy ">=sys-libs/ncurses-5.9-r3[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_ppc_32(-)?,abi_ppc_64(-)?,abi_s390_32(-)?,abi_s390_64(-)?]".
(dependency required by "sys-libs/readline-6.3_p6" [ebuild])
(dependency required by "dev-lang/python-3.3.3[ncurses,readline,-build]" [installed])
(dependency required by "app-portage/gentoolkit-0.3.0.8-r2[python_targets_python3_3]" [installed])
(dependency required by "@selected" [set])
(dependency required by "@world" [argument])


habe alle Overlays auskommentiert.

Fehler in den ebuilds..oder bei mir?

Grüße
Back to top
View user's profile Send private message
Josef.95
Advocate
Advocate


Joined: 03 Sep 2007
Posts: 3627
Location: Germany

PostPosted: Sun Jul 06, 2014 7:55 pm    Post subject: Reply with quote

Hm, sollte normal problemlos klappen
Magst du bitte noch die Ausgaben von
Code:
emerge --info python:3.3 readline ncurses
und
grep -R -i abi /etc/portage/
sowie die komplette Ausgabe von
Code:
emerge -pvq =dev-lang/python-3.3.3 sys-libs/readline sys-libs/ncurses
mit hinzufügen?
Back to top
View user's profile Send private message
Tinitus
Veteran
Veteran


Joined: 20 Sep 2004
Posts: 1754

PostPosted: Sun Jul 06, 2014 8:01 pm    Post subject: Reply with quote

Danke:

hier die gewünschten Ausgaben....

emerge --info python:3.3 readline ncurses
Code:

Portage 2.2.8-r1 (default/linux/amd64/13.0/desktop/gnome/systemd, gcc-4.7.3, glibc-2.17, 3.15.2-gentoo x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-3.15.2-gentoo-x86_64-Intel-R-_Core-TM-_i7-3770_CPU_@_3.40GHz-with-gentoo-2.2
KiB Mem:    32539016 total,  18664480 free
KiB Swap:   51199996 total,  51199996 free
Timestamp of tree: Sun, 06 Jul 2014 18:30:01 +0000
ld GNU ld (GNU Binutils) 2.23.2
app-shells/bash:          4.2_p45
dev-java/java-config:     2.2.0
dev-lang/python:          2.7.6, 3.2.5-r3, 3.3.3
dev-util/cmake:           2.8.12.2
dev-util/pkgconfig:       0.28-r1
sys-apps/baselayout:      2.2
sys-apps/openrc:          0.12.4
sys-apps/sandbox:         2.6-r1
sys-devel/autoconf:       2.13, 2.69
sys-devel/automake:       1.11.6, 1.12.6, 1.13.4
sys-devel/binutils:       2.23.2
sys-devel/gcc:            4.7.3-r1
sys-devel/gcc-config:     1.7.3
sys-devel/libtool:        2.4.2
sys-devel/make:           3.82-r4
sys-kernel/linux-headers: 3.13 (virtual/os-headers)
sys-libs/glibc:           2.17
Repositories: gentoo lokales-Overlay
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.5/ext-active/ /etc/php/cgi-php5.5/ext-active/ /etc/php/cli-php5.5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="C"
LC_ALL="de_DE.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j18"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/portage/local/myoverlay"
USE="X a52 aac acl acpi alsa amd64 bash-completion berkdb bluetooth branding bzip2 cairo cdda cdr cli colord cracklib crypt cups cxx dbus dri dts dvd dvdr eds emboss encode evo exif fam ffmpeg firefox flac fortran gdbm gif glitz gnome gnome-keyring gnome-online-accounts gpm gstreamer gtk hal i18n iconv ieee1394 introspection ipv6 jack jack-tmpfs jpeg lame lash lcms ldap libnotify libsecret mad mkv mmx mng modules mp3 mp4 mpeg multilib nautilus ncurses nls nptl nsplugin ogg opengl openmp pam pango pcre pdf png policykit portaudio ppds pulseaudio qt3support qt4 rar readline samba screenshot sdl session socialweb spell sse sse2 ssl startup-notification svg swf systemd tcpd threads tiff truetype udev udisks unicode upower usb vaapi vdpau vorbis wxwidgets x264 xinerama xml xulrunner xv xvid zip zlib" ABI_X86="32 64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="canon ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" DVB_CARDS="ttpci cx18 cx231xx cx23885 usb-dw2104" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="wacom" KERNEL="linux" LCD_DEVICES="DPF" LIBREOFFICE_EXTENSIONS="pdfimport" LINGUAS="de" LIRC_DEVICES="serial igorplugusb" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-5" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_3" QEMU_SOFTMMU_TARGETS="x86_64 arm" RUBY_TARGETS="ruby19 ruby20" USERLAND="GNU" VIDEO_CARDS="intel i128 i810" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, SYNC, USE_PYTHON

=================================================================
                        Package Settings
=================================================================

dev-lang/python-3.3.3 was built with the following:
USE="gdbm ipv6 ncurses readline sqlite ssl threads xml -build -doc -examples -hardened -tk -wininst" ABI_X86="64"
CFLAGS="-O2 -pipe -fwrapv"
CXXFLAGS="-O2 -pipe -fwrapv"
LDFLAGS="-Wl,-O1 -Wl,--as-needed -L."


sys-libs/readline-6.2_p1 was built with the following:
USE="" ABI_X86="64"
LDFLAGS="-Wl,-O1 -Wl,--as-needed -L."


sys-libs/ncurses-5.9-r3 was built with the following:
USE="cxx gpm unicode -ada -debug -doc -minimal -profile -static-libs -tinfo -trace" ABI_X86="64 -32 -x32"


Last edited by Tinitus on Sun Jul 06, 2014 8:03 pm; edited 1 time in total
Back to top
View user's profile Send private message
Tinitus
Veteran
Veteran


Joined: 20 Sep 2004
Posts: 1754

PostPosted: Sun Jul 06, 2014 8:02 pm    Post subject: Reply with quote

grep -R -i abi /etc/portage/
Code:

/etc/portage/package.keywords:=sys-firmware/seabios-1.7.2 ~amd64


emerge -pvq =dev-lang/python-3.3.3 sys-libs/readline sys-libs/ncurses
Code:


emerge: there are no ebuilds to satisfy ">=sys-libs/ncurses-5.9-r3[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_ppc_32(-)?,abi_ppc_64(-)?,abi_s390_32(-)?,abi_s390_64(-)?]".
(dependency required by "sys-libs/readline-6.3_p6" [ebuild])
(dependency required by "sys-libs/readline" [argument])
Back to top
View user's profile Send private message
Josef.95
Advocate
Advocate


Joined: 03 Sep 2007
Posts: 3627
Location: Germany

PostPosted: Mon Jul 07, 2014 9:30 pm    Post subject: Reply with quote

Hm, schau mal ob ein rebuild von ncurses hilft.
Code:
emerge -av1 sys-libs/ncurses::gentoo

/edit
Obwohl, ich frage mich wo das global gesetzte ABI_X86="32 64" aus der "emerge --info" Ausgabe herkommt. Wird das im stable Zweig aktuell schon wirklich global vom Profil her gesetzt? (sorry, ich hab aktuell kein multilib System verfügbar, zum selbst nachschauen)
Back to top
View user's profile Send private message
Tinitus
Veteran
Veteran


Joined: 20 Sep 2004
Posts: 1754

PostPosted: Tue Jul 08, 2014 10:52 am    Post subject: Reply with quote

Hallo,

ein

Code:

emerge -av1 sys-libs/ncurses::gentoo

bringt:

Code:
Calculating dependencies... done!
[ebuild   R    ] sys-libs/ncurses-5.9-r3:5  USE="cxx gpm unicode -ada -debug -doc -minimal -profile -static-libs -tinfo -trace" ABI_X86="(64) (-32) (-x32)" 0 kB


Leider ist das Problem nicht gelöst:

Code:
emerge --update --deep --newuse world


* IMPORTANT: 15 news items need reading for repository 'gentoo'.
* Use eselect news to read news items.

Calculating dependencies... done!
Code:

emerge: there are no ebuilds to satisfy ">=sys-libs/ncurses-5.9-r3[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_ppc_32(-)?,abi_ppc_64(-)?,abi_s390_32(-)?,abi_s390_64(-)?]".
(dependency required by "sys-libs/readline-6.3_p6" [ebuild])
(dependency required by "dev-lang/python-3.3.3[ncurses,readline,-build]" [installed])
(dependency required by "app-portage/gentoolkit-0.3.0.8-r2[python_targets_python3_3]" [installed])
(dependency required by "@selected" [set])
(dependency required by "@world" [argument])


Ist das einen Bugreport wert?
Back to top
View user's profile Send private message
Christian99
Veteran
Veteran


Joined: 28 May 2009
Posts: 1176

PostPosted: Tue Jul 08, 2014 12:05 pm    Post subject: Reply with quote

@josef: nein, multilib hat nur 64 als abi gesetzt.
@tinitus: wieso hast du denn abi_x86_32 global gesetzt? eventuell kommt es daher.
Back to top
View user's profile Send private message
Tinitus
Veteran
Veteran


Joined: 20 Sep 2004
Posts: 1754

PostPosted: Tue Jul 08, 2014 12:34 pm    Post subject: Reply with quote

[quote=
@tinitus: wieso hast du denn abi_x86_32 global gesetzt? eventuell kommt es daher.[/quote]

Wie wäre es besser bzw. richtiger?
Back to top
View user's profile Send private message
Christian99
Veteran
Veteran


Joined: 28 May 2009
Posts: 1176

PostPosted: Tue Jul 08, 2014 3:31 pm    Post subject: Reply with quote

paketweise.
ich hab es paketweise und keine probleme und es gab auch schon ein paar threads wo es bei globalen flag probleme gab
Back to top
View user's profile Send private message
Yamakuzure
Advocate
Advocate


Joined: 21 Jun 2006
Posts: 2273
Location: Bardowick, Germany

PostPosted: Wed Jul 09, 2014 10:10 am    Post subject: Reply with quote

USE="abi_x86_32" ist für ncurses maskiert. Du müsstest das also zuerst demaskieren. (Einfach "ncurses -abi_x86_32" in /etc/portage/profile/package.use.mask eintragen, oder "-abi_x86_32" in /etc/portage/profile/use.mask).

wenn du mit dem 32bit ABI Krempel rumspielen willst, kommst du darum nicht rum, da ncurses an allen Ecken und Enden genutzt wird. Zumindest wenn du von allen installierten emul-linux-x86-* die jeweils aktuellste Version mit abi_x86_32 installiert hast.
_________________
Important German:
  1. "Aha" - German reaction to pretend that you are really interested while giving no f*ck.
  2. "Tja" - German reaction to the apocalypse, nuclear war, an alien invasion or no bread in the house.
Back to top
View user's profile Send private message
Tinitus
Veteran
Veteran


Joined: 20 Sep 2004
Posts: 1754

PostPosted: Thu Jul 10, 2014 12:47 pm    Post subject: Reply with quote

Hallo,

seit dem letzten (sync) Update ist mein Problem die

sys-libs/zlib-1.2.8-r1 USE="minizip -static-libs" ABI_X86="(64) (-32) (-x32)" 558 kB



Code:

emerge --update --newuse world
Code:


 * IMPORTANT: 15 news items need reading for repository 'gentoo'.
 * Use eselect news to read news items.

Calculating dependencies... done!

emerge: there are no ebuilds to satisfy ">=sys-libs/zlib-1.2.8-r1[static-libs(+)?,abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_ppc_32(-)?,abi_ppc_64(-)?,abi_s390_32(-)?,abi_s390_64(-)?]".
(dependency required by "dev-libs/openssl-1.0.1h-r2" [ebuild])
(dependency required by "net-nds/openldap-2.4.38-r2[ssl,samba,-smbkrb5passwd,minimal]" [ebuild])
(dependency required by "net-fs/samba-3.6.23-r1[ldap]" [ebuild])
(dependency required by "app-emulation/wine-1.7.21[samba]" [ebuild])
(dependency required by "@selected" [set])
(dependency required by "@world" [argument])
Back to top
View user's profile Send private message
Christian99
Veteran
Veteran


Joined: 28 May 2009
Posts: 1176

PostPosted: Thu Jul 10, 2014 1:03 pm    Post subject: Reply with quote

da ist auch abi_x86_32 gemasked. Wieso sind die bei dir alle gemasked? Das sollte eigentlich nicht sein, denk ich. Zumindest bei mir ist es nicht use_masked
Back to top
View user's profile Send private message
Tinitus
Veteran
Veteran


Joined: 20 Sep 2004
Posts: 1754

PostPosted: Thu Jul 10, 2014 1:27 pm    Post subject: Reply with quote

Hallo,

da gab es irgendwelche Änderungen in de ebuilds, deshalb kommt wohl ein anderer Fehler!?

Ich habe nichts an den Maskierungen geändert....
Back to top
View user's profile Send private message
Yamakuzure
Advocate
Advocate


Joined: 21 Jun 2006
Posts: 2273
Location: Bardowick, Germany

PostPosted: Thu Jul 10, 2014 3:00 pm    Post subject: Reply with quote

Christian99 wrote:
da ist auch abi_x86_32 gemasked. Wieso sind die bei dir alle gemasked? Das sollte eigentlich nicht sein, denk ich. Zumindest bei mir ist es nicht use_masked
Das hängt vom Profil ab.

abi_x86_32 wird grundsätzlich maskiert (/usr/portage/profiles/base/use.mask) und in einigen Architekturen (zum Beispiel /usr/portage/profiles/arch/amd64/use.mask) wieder demaskiert. In jeglichem no-multilib Profil wird es sogar explizit maskiert.

Aber da das ganze als nicht stabil gilt:
Code:
 ~ # grep ncurses /usr/portage/profiles/arch/amd64/package.use.stable.mask
sys-libs/ncurses abi_x86_32

_________________
Important German:
  1. "Aha" - German reaction to pretend that you are really interested while giving no f*ck.
  2. "Tja" - German reaction to the apocalypse, nuclear war, an alien invasion or no bread in the house.
Back to top
View user's profile Send private message
Tinitus
Veteran
Veteran


Joined: 20 Sep 2004
Posts: 1754

PostPosted: Thu Jul 10, 2014 3:05 pm    Post subject: Reply with quote

Das heißt jetzt für mich?
Wieso tritt das jetzt auf? Die Installation ist schon 2 Jahre alt?
Back to top
View user's profile Send private message
Christian99
Veteran
Veteran


Joined: 28 May 2009
Posts: 1176

PostPosted: Thu Jul 10, 2014 5:21 pm    Post subject: Reply with quote

ak, ok. package.use.stable.mask ist neu für mich, kannte ich noch gar nicht.

@Tinitus: Ich würde es erstmal versuchen, abi_x86_32 global zu deaktivieren. Ich vermute das hast du in deiner make.conf?
Back to top
View user's profile Send private message
Yamakuzure
Advocate
Advocate


Joined: 21 Jun 2006
Posts: 2273
Location: Bardowick, Germany

PostPosted: Fri Jul 11, 2014 7:37 am    Post subject: Reply with quote

Tinitus, du tust dir keinen Gefallen damit abi_x86_32 global in die make.conf einzutragen. Auch wenn es nervig ist, trage es nur da, wo es von den emul-linux Paketen verwendet wird in /etc/portage/package.use ein. Andernfalls hast du garantiert ein doppeltes System, mit vielen auf 32bit gebauten Sachen, die du nicht benötigst.

Auf jeden Fall brauchst du, um damit halbwegs schmerzfrei damit umgehen zu können:
Code:
 ~ $ grep abi_x86_32 /etc/portage/profile/use.mask
-abi_x86_32
Ansonsten wird dich jede USE-Maskierung echt Nerven kosten.

Derzeit sieht es bei mir so aus:
Code:
 ~ $ grep -c abi_x86_32 /etc/portage/package.use
294
 ~ $ eix -I -U abi_x86_32 --only-names | wc -l
372
Das heißt, von 372 installierten Paketen die abi_x86_32 unterstützen, ist es bei 294 aktiviert. Ein globales Aktivieren würde für mich also bedeuten, dass ich 78 Pakete sinnlos doppelt kompiliere, obwohl das nicht notwendig ist.
_________________
Important German:
  1. "Aha" - German reaction to pretend that you are really interested while giving no f*ck.
  2. "Tja" - German reaction to the apocalypse, nuclear war, an alien invasion or no bread in the house.
Back to top
View user's profile Send private message
Josef.95
Advocate
Advocate


Joined: 03 Sep 2007
Posts: 3627
Location: Germany

PostPosted: Fri Jul 11, 2014 8:59 am    Post subject: Reply with quote

Tinitus wrote:
grep -R -i abi /etc/portage/
Code:

/etc/portage/package.keywords:=sys-firmware/seabios-1.7.2 ~amd64

...
Hm, da ist in dem Sinne ja kein Treffer mit dabei. Existiert eventuell noch eine zweite, noch nicht migrierte /etc/make.conf (zusätzlich zur /etc/portage/make.conf)? - sprich sind eventuell zwei make.conf Dateien im Spiel?
Ich frage mich wo das global verwendete ABI_X86="32 64" ansonsten herkommt, und ob es so (abweichend vom Profil) gesetzt wirklich erwünscht ist?
Back to top
View user's profile Send private message
Josef.95
Advocate
Advocate


Joined: 03 Sep 2007
Posts: 3627
Location: Germany

PostPosted: Wed Jul 30, 2014 8:34 pm    Post subject: Reply with quote

Hast es vermutlich doch global selbst gesetzt..
Tinitus in diesem Thread wrote:
ich habe in der make.conf:

ABI_X86="64 32"
(sofern es sich um das selbe System handelt).
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum